<?php if(($mode=="edit")||($mode=="create")): ?>
    <script type="text/javascript">
        //DATES
        $(function () {
            //GENERAL - Première immat
            $('#datepicker_datepi').datepicker({
                format: "dd/mm/yyyy",
                language: "fr",
                autoclose: true
            });

            //RETRAITE - Date Décision
            $('#datepicker_ret_dateed').datepicker({
                format: "dd/mm/yyyy",language: "fr",autoclose: true
            });

            //GENERAL - Date naissance
            $('#datepicker_datenaiss').datepicker({
                format: "dd/mm/yyyy",
                language: "fr",
                autoclose: true
            });

            //GENERAL - Date décès
            $('#datepicker_date_deces').datepicker({
                format: "dd/mm/yyyy",
                language: "fr",
                autoclose: true
            });

        });

        //Employeur - Get Ajax
        $(function() {
            //Saisie conjoint
            $("#nom_conjoint").autocomplete({
                source: "<?php echo url('auto_conjoint'); ?>",
                minLength: 2,
                select: function(event, ui) {
                    $('#conjoint').val(ui.item.id);
                    $('#conjoint_addon').html(ui.item.id);
                },
                change: function( event, ui ) {
                    /*
                    var id_nom=ui.item.value.trim();
                    var nom;
                    const t_nom = id_nom.split(' ');
                    nom=t_nom[1];
                    alert(t_nom[2]+' '+t_nom[3]);
                    //nom=(id_nom.substring(4)).trim();
                    $('#nom_conjoint').val(nom);
                    $('#conjoint_addon').html(ui.item.id);
                    $('#conjoint').val(ui.item.id);
                    */
                }
            });

            $("#employeur_nom").autocomplete({
                source: "<?php echo route('autocomplete_employeur'); ?>",
                minLength: 1,
                select: function(event, ui) {
                    $('#sonum').val(ui.item.id);
                    $('#employeur_addon').html(ui.item.id);
                    var id_nom=ui.item.value.trim();
                },

                change: function( event, ui ) {
                    var id_nom=ui.item.value.trim();
                    var nom;
                    const t_nom = id_nom.split(' ');
                    nom=t_nom[1];
                    //nom=(id_nom.substring(4)).trim();
                    $('#employeur_nom').val(nom);
                    $('#employeur_addon').html(ui.item.id);
                    $('#sonum').val(ui.item.id);
                }

            });
            return;
        });
    </script>
<?php endif; ?>

<script type="text/javascript">
    //FANCY BOX
    $(document).ready(function() {
        $(".box_versement").fancybox({
            fitToView   : true,
            width       : '85%',
            height      : '70%',
            closeClick  : true,
            openEffect  : 'fade',
            closeEffect : 'fade',
        });

        $(".box_enfant").fancybox({
            //maxWidth    : 800,
            //maxHeight   : 600,
            fitToView   : true,
            width       : '85%',
            height      : '70%',
            //autoSize    : true,
            //autoScale   : true,
            closeClick  : true,
            openEffect  : 'fade',
            closeEffect : 'fade',
        });

    });
</script>


<?php /**PATH C:\xampp\htdocs\SYSINFO\cpswf\sipre2\resources\views/tiers/beneficiaires/scripts_beneficiaire.blade.php ENDPATH**/ ?>